Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::TranslateDataIn Class Reference

Convert data from other formats. More...

`#include <translate.h>`

Collaboration diagram for sc::TranslateDataIn:

[legend]
List of all members.

## Public Methods
| TranslateDataIn (StateIn *s, TranslateData *t)
| Input data will come from s. More...
virtual | ~TranslateDataIn ()
virtual int | get (char *, int)
| Read and translate data. More...
virtual int | get (short *, int)
virtual int | get (unsigned int *, int)
virtual int | get (int *, int)
virtual int | get (long *, int)
virtual int | get (float *, int)
virtual int | get (double *, int)
TranslateData * | translator ()
| Return the translator.
## Protected Methods
int | getv (void *d, int s)

## Detailed Description

Convert data from other formats.

The data is taken from a StateIn object.

## Constructor & Destructor Documentation

sc::TranslateDataIn::TranslateDataIn | ( | StateIn * | s,
|  | TranslateData * | t
| ) |

| Input data will come from s. The t argument will be deleted by this.

## Member Function Documentation

virtual int sc::TranslateDataIn::get | ( | char * | ,
|  | int |
| ) | `[virtual]`

| Read and translate data. A similar member exists for each basic type.

The documentation for this class was generated from the following file:

- translate.h